
/**
 * 手机验证
 */
export function checkPhone(value){
	if(/^1\d{10}$/.test(value)){
		return true;
	}
	return false
}

/**
 * 身份证验证
 */
export function checkIdCard(value){
	let reg =/^\d{15}|\d{18}$/
	if(reg.test(value)){
		return true;
	}
	return false
}
/**
 * 银行卡验证
 */
export function checkBankCard(value){
	let reg =/^([1-9]{1})(\d{14}|\d{15}|\d{16}|\d{18})$/
	if(reg.test(value)){
		return true;
	}
	return false
}
//车牌号验证
export function validateLicensePlateNumber(value) {
	const isPlate=/[京津沪渝冀豫云辽黑湘皖鲁新苏浙赣鄂桂甘晋蒙陕吉闽贵粤青藏川宁琼使领 A-Z]{1}[A-HJ-NP-Z]{1}(([0-9]{5}[DF])|([DF][A-HJ-NP-Z0-9][0-9]{4}))$/g.test(value)
    return isPlate
}

/**
* 保留指定小数位方法
*/
export function KeepDecimals(num,len =2 ){
    let numStr = typeof(num) == "number" ? `${num}` : num // 判断类型，统一转字符串处理
    if(!numStr)return ''; // 空值return 空字符串
    numStr=numStr.replace(/[^0-9.]/g,'') // 限制值只能为0-9和字符‘.’
    let isDecimalIndex = numStr.indexOf('.') // 判断存不存在小数位
    if(isDecimalIndex === -1)return `${Number(numStr)}` // 不存在小数位，返回处理后的数字
    let integer = numStr.slice(0,isDecimalIndex) // 获取整数位
    let Decimals = numStr.slice(isDecimalIndex+1) // 获取小数位
    Decimals=Decimals.replace(/[^0-9]/g,'').slice(0,len) // 处理小数位中的无效字符，并截取指定长度
    return `${Number(integer)}.${Decimals || ''}` // 组装数据。并在处理小数位事，将无效字符处理成空串
}
